curl --request GET \
--url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/reports/metrics \
--header 'Authorization: Bearer <token>'{
"influencedContacts": 123,
"newContactsFirstTouch": 123,
"newContactsLastTouch": 123,
"sessions": 123
}This endpoint retrieves key attribution metrics for a specified campaign, such as sessions, new contacts, and influenced contacts.
curl --request GET \
--url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/reports/metrics \
--header 'Authorization: Bearer <token>'{
"influencedContacts": 123,
"newContactsFirstTouch": 123,
"newContactsLastTouch": 123,
"sessions": 123
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the campaign
successful operation
The number of contacts influenced by the campaign.
The number of new contacts attributed to the campaign as the first touchpoint.
The number of new contacts attributed to the campaign as the last touchpoint.
The total number of sessions generated by the campaign.
Was this page helpful?